package applicationLogic;

/**
 * The Class Magazine.
 */
public class Magazine extends ShortPrinting {
	
	/** The publisher. */
	private String publisher;
	
	/**
	 * Instantiates a new magazine.
	 *
	 * @param title the title
	 * @param year the year
	 * @param edition the edition
	 * @param publisher the publisher
	 */
	public Magazine(String title, int year, int edition, String publisher)
	{
		super(title, year, edition);
		this.publisher = publisher;
	}
	
	/**
	 * Gets the publisher.
	 *
	 * @return the publisher
	 */
	public String getPublisher() {
		return publisher;
	}

	/**
	 * Sets the publisher.
	 *
	 * @param publisher the new publisher
	 */
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	/* (non-Javadoc)
	 * @see applicationLogic.ShortPrinting#toString()
	 */
	public String toString()
	{
		return super.toString() + ", Publisher: " + publisher;
	}
}
