package storagePackage;

import java.util.ArrayList;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import com.thoughtworks.xstream.XStream;

import applicationLogic.Printing;

public class storageDataAccess {
	public static void serialize_to_disk(ArrayList<Printing> printing) throws FileNotFoundException, IOException{
		ObjectOutputStream oos = new ObjectOutputStream(new FileOutputStream("out.ser"));
        oos.writeObject(printing);
	}
	public static void deserialize_from_disk() throws FileNotFoundException, IOException, ClassNotFoundException{
		ObjectInputStream ois = new ObjectInputStream(new FileInputStream("out.ser"));
		ArrayList<Printing> printing = (ArrayList<Printing>)ois.readObject();
	}
	public static void serialize_to_xml(ArrayList<Printing> printing) throws FileNotFoundException, IOException{
		XStream xstream = new XStream();
		FileWriter write = new FileWriter("out.xml");
		xstream.toXML(printing, write);
	}
	public static void deserialize_from_xml() throws FileNotFoundException{
		XStream xstream = new XStream();
		FileReader reader = new FileReader("out.xml");
		ArrayList<Printing> printing = (ArrayList<Printing>) xstream.fromXML(reader);
	}
}
